2

Array and string offset access syntax with curly braces is no longer supported in C:\xampp\htdocs\testsite\wp-content\plugins\civicrm\civicrm\Civi\Core\Paths.php on line 203

CiviCRM Version 5.32.2 and WordPress 5.6

1
  • 1
    Hi Bruce, my first guess would be that the used version of CiviCRM is not compatible with the used version of PHP. So it's useful to add this info to your question. Jan 6 at 16:59
2

My assumption is that you are using PHP 7.4. Dat version does not support curly braces syntax. See this answer on stackexchange https://stackoverflow.com/questions/59158548/array-and-string-offset-access-syntax-with-curly-braces-is-deprecated . A downgrade to PHP 7.3 will help. That is also the highest supported version, see https://docs.civicrm.org/installation/en/latest/general/requirements/ .

Another option is to fix the issue and create a patch for it. A remark on the https://lab.civicrm.org/dev/core/-/issues/1496 will also help.

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.